Bug 182529 - Default targeted policy on FC4 blocks tune2fs
Default targeted policy on FC4 blocks tune2fs
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Depends On:
  Show dependency treegraph
Reported: 2006-02-22 20:49 EST by Wayne Pollock
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-09 12:19:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Typescript of session showing problem (8.80 KB, text/plain)
2006-02-22 20:49 EST, Wayne Pollock
no flags Details

  None (edit)
Description Wayne Pollock 2006-02-22 20:49:51 EST
Description of problem:
tune2fs fails to read the superblock of some (but not all) filesystems,
when using LVM.

Version-Release number of selected component (if applicable):
tune2fs version tune2fs 1.38 (30-Jun-2005)

How reproducible:

Steps to Reproduce:
1. see attached typescript
Actual results:
# tune2fs -l /dev/mapper/VolGroup00-LogVol03
tune2fs 1.38 (30-Jun-2005)
ext2fs_check_if_mount: Permission denied while determining whether
/dev/mapper/VolGroup00-LogVol03 is mounted.

Expected results:
tune2fs information

Additional info:

This one is wierd.  As the typescript shows, some logical volumes work and
others don't.  Yet they were all created at the same time (at system install)
using ext3.  All the filesystems mount/umount without problem.  I don't know why
some work and not others.

Work around:

# setenforce 0
Comment 1 Wayne Pollock 2006-02-22 20:49:51 EST
Created attachment 125076 [details]
Typescript of session showing problem
Comment 4 Daniel Walsh 2006-05-09 12:19:07 EDT
In FC5 we are disabling the transition to fsadm_t from unconfined_t, so this
would not be a problem there.  fsadm_t is only used from init or from a confined
domain.  We are not intending up pushing any updates to FC4, so you could
disable the transition to by changing the context on tune2fs to sbin_t

chcon -t sbin_t /sbin/tune2fs

Note You need to log in before you can comment on or make changes to this bug.